Commit 19081298 authored by jaywink's avatar jaywink
Browse files

Update Python dependencies

psycopg locked to <2.9 until Django 3.0 upgrade.
parent 56399ced
Pipeline #6466 passed with stages
in 12 minutes and 55 seconds
......@@ -23,9 +23,9 @@ aioredis==1.3.1
# channels-redis
alabaster==0.7.12
# via sphinx
arrow==1.1.0
arrow==1.1.1
# via -r requirements/requirements.txt
asgiref==3.3.4
asgiref==3.4.1
# via
# -r requirements/requirements.txt
# channels
......@@ -67,15 +67,15 @@ beautifulsoup4==4.9.3
# -r requirements/requirements.txt
# pyembed
# python-opengraph-jaywink
bleach==3.3.0
bleach==4.0.0
# via
# -r requirements/requirements.txt
# federation
certifi==2020.12.5
certifi==2021.5.30
# via
# -r requirements/requirements.txt
# requests
cffi==1.14.5
cffi==1.14.6
# via
# -r requirements/requirements.txt
# cryptography
......@@ -85,18 +85,18 @@ channels==2.4.0
# channels-redis
channels-redis==2.4.2
# via -r requirements/requirements.txt
chardet==4.0.0
charset-normalizer==2.0.4
# via
# -r requirements/requirements.txt
# requests
circus==0.17.1
# via -r requirements/requirements.txt
click==7.1.2
click==8.0.1
# via
# -r requirements/requirements.txt
# pip-tools
# rq
codecov==2.1.11
codecov==2.1.12
# via -r requirements/requirements-dev.in
colorama==0.4.4
# via sphinx-autobuild
......@@ -120,7 +120,7 @@ coverage==5.5
# codecov
# django-coverage-plugin
# pytest-cov
croniter==1.0.13
croniter==1.0.15
# via
# -r requirements/requirements.txt
# rq-scheduler
......@@ -142,7 +142,7 @@ daphne==2.5.0
# channels
ddt==1.4.2
# via -r requirements/requirements-dev.in
decorator==5.0.7
decorator==5.0.9
# via
# -r requirements/requirements.txt
# ipython
......@@ -155,7 +155,7 @@ dirty-validators==0.5.4
# via
# -r requirements/requirements.txt
# federation
django==2.2.22
django==2.2.24
# via
# -r requirements/requirements.txt
# channels
......@@ -180,13 +180,13 @@ django==2.2.22
# django-stubs-ext
# djangorestframework
# drf-yasg
django-allauth==0.44.0
django-allauth==0.45.0
# via -r requirements/requirements.txt
django-braces==1.14.0
# via -r requirements/requirements.txt
django-coverage-plugin==1.8.0
django-coverage-plugin==2.0.0
# via -r requirements/requirements-dev.in
django-crispy-forms==1.11.2
django-crispy-forms==1.12.0
# via -r requirements/requirements.txt
django-debug-toolbar==1.11.1
# via -r requirements/requirements-dev.in
......@@ -214,11 +214,11 @@ django-model-utils==3.2.0
# via -r requirements/requirements.txt
django-querycount==0.7.0
# via -r requirements/requirements-dev.in
django-redis==4.12.1
django-redis==5.0.0
# via -r requirements/requirements.txt
django-redisboard==4.1.1
# via -r requirements/requirements.txt
django-reversion==3.0.9
django-reversion==4.0.0
# via -r requirements/requirements.txt
django-robots==4.0
# via -r requirements/requirements.txt
......@@ -236,9 +236,9 @@ django-stubs==1.8.0
# djangorestframework-stubs
django-stubs-ext==0.2.0
# via django-stubs
django-test-plus==1.4.0
django-test-plus==2.2.0
# via -r requirements/requirements-dev.in
django-versatileimagefield==2.0
django-versatileimagefield==2.1
# via -r requirements/requirements.txt
djangorestframework==3.12.4
# via
......@@ -246,7 +246,7 @@ djangorestframework==3.12.4
# drf-yasg
djangorestframework-stubs==1.4.0
# via -r requirements/requirements-dev.in
docutils==0.16
docutils==0.17.1
# via
# recommonmark
# sphinx
......@@ -254,7 +254,7 @@ drf-yasg==1.20.0
# via -r requirements/requirements.txt
factory-boy==3.2.0
# via -r requirements/requirements-dev.in
faker==8.1.2
faker==8.11.0
# via
# -r requirements/requirements-dev.in
# factory-boy
......@@ -276,7 +276,7 @@ hyperlink==21.0.0
# -r requirements/requirements.txt
# autobahn
# twisted
idna==2.10
idna==3.2
# via
# -r requirements/requirements.txt
# hyperlink
......@@ -320,7 +320,7 @@ jedi==0.17.2
# via
# -r requirements/requirements.txt
# ipython
jinja2==2.11.3
jinja2==3.0.1
# via
# -r requirements/requirements.txt
# coreschema
......@@ -340,7 +340,7 @@ markdown==3.3.4
# via
# -r requirements/requirements.txt
# django-markdownx
markupsafe==1.1.1
markupsafe==2.0.1
# via
# -r requirements/requirements.txt
# jinja2
......@@ -350,17 +350,17 @@ msgpack==0.6.2
# via
# -r requirements/requirements.txt
# channels-redis
mypy==0.812
mypy==0.910
# via
# django-stubs
# djangorestframework-stubs
mypy-extensions==0.4.3
# via mypy
oauthlib==3.1.0
oauthlib==3.1.1
# via
# -r requirements/requirements.txt
# requests-oauthlib
packaging==20.9
packaging==21.0
# via
# -r requirements/requirements.txt
# bleach
......@@ -372,7 +372,7 @@ parso==0.7.1
# via
# -r requirements/requirements.txt
# jedi
pep517==0.10.0
pep517==0.11.0
# via pip-tools
persisting-theory==0.2.1
# via
......@@ -386,16 +386,16 @@ pickleshare==0.7.5
# via
# -r requirements/requirements.txt
# ipython
pillow==8.2.0
pillow==8.3.1
# via
# -r requirements/requirements.txt
# django-markdownx
# django-versatileimagefield
pip-tools==6.1.0
pip-tools==6.2.0
# via -r requirements/requirements-dev.in
pluggy==0.13.1
# via pytest
prompt-toolkit==3.0.18
prompt-toolkit==3.0.19
# via
# -r requirements/requirements.txt
# ipython
......@@ -435,7 +435,7 @@ pycryptodome==3.10.1
# federation
pyflakes==2.3.1
# via flake8
pygments==2.9.0
pygments==2.10.0
# via
# -r requirements/requirements.txt
# django-silk
......@@ -453,7 +453,7 @@ pyparsing==2.4.7
# via
# -r requirements/requirements.txt
# packaging
pyrsistent==0.17.3
pyrsistent==0.18.0
# via
# -r requirements/requirements.txt
# jsonschema
......@@ -468,9 +468,9 @@ pytest==6.2.4
# pytest-sugar
pytest-blockage==0.2.2
# via -r requirements/requirements-dev.in
pytest-cov==2.11.1
pytest-cov==2.12.1
# via -r requirements/requirements-dev.in
pytest-django==4.2.0
pytest-django==4.4.0
# via -r requirements/requirements-dev.in
pytest-env==0.6.2
# via -r requirements/requirements-dev.in
......@@ -478,7 +478,7 @@ pytest-profiling==1.7.0
# via -r requirements/requirements-dev.in
pytest-sugar==0.9.4
# via -r requirements/requirements-dev.in
python-dateutil==2.8.1
python-dateutil==2.8.2
# via
# -r requirements/requirements.txt
# arrow
......@@ -488,7 +488,7 @@ python-dateutil==2.8.1
# federation
# freezegun
# rq-scheduler
python-magic==0.4.22
python-magic==0.4.24
# via
# -r requirements/requirements.txt
# django-versatileimagefield
......@@ -517,7 +517,7 @@ pyyaml==5.4.1
# via
# -r requirements/requirements.txt
# federation
pyzmq==22.0.3
pyzmq==22.2.1
# via
# -r requirements/requirements.txt
# circus
......@@ -530,7 +530,7 @@ redis==3.5.3
# django-redisboard
# django-rq
# rq
requests==2.25.1
requests==2.26.0
# via
# -r requirements/requirements.txt
# codecov
......@@ -552,22 +552,22 @@ requests-oauthlib==1.3.0
# via
# -r requirements/requirements.txt
# django-allauth
rq==1.8.0
rq==1.9.0
# via
# -r requirements/requirements.txt
# django-rq
# rq-scheduler
rq-scheduler==0.11.0
# via -r requirements/requirements.txt
ruamel.yaml==0.17.4
ruamel.yaml==0.17.10
# via
# -r requirements/requirements.txt
# drf-yasg
ruamel.yaml.clib==0.2.2
ruamel.yaml.clib==0.2.6
# via
# -r requirements/requirements.txt
# ruamel.yaml
service-identity==18.1.0
service-identity==21.1.0
# via
# -r requirements/requirements.txt
# twisted
......@@ -585,6 +585,7 @@ six==1.16.0
# pyopenssl
# pytest-profiling
# python-dateutil
# service-identity
# traitlets
snowballstemmer==2.1.0
# via sphinx
......@@ -592,7 +593,7 @@ soupsieve==2.2.1
# via
# -r requirements/requirements.txt
# beautifulsoup4
sphinx==3.5.4
sphinx==4.1.2
# via
# -r requirements/requirements-dev.in
# recommonmark
......@@ -603,13 +604,13 @@ sphinxcontrib-applehelp==1.0.2
# via sphinx
sphinxcontrib-devhelp==1.0.2
# via sphinx
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-htmlhelp==2.0.0
# via sphinx
sphinxcontrib-jsmath==1.0.1
# via sphinx
sphinxcontrib-qthelp==1.0.3
# via sphinx
sphinxcontrib-serializinghtml==1.1.4
sphinxcontrib-serializinghtml==1.1.5
# via sphinx
sqlparse==0.4.1
# via
......@@ -628,8 +629,11 @@ toml==0.10.2
# via
# -r requirements/requirements.txt
# autopep8
# pep517
# mypy
# pytest
# pytest-cov
tomli==1.2.1
# via pep517
tornado==6.1
# via
# -r requirements/requirements.txt
......@@ -639,7 +643,7 @@ traitlets==4.3.3
# via
# -r requirements/requirements.txt
# ipython
twisted[tls]==21.2.0
twisted[tls]==21.7.0
# via
# -r requirements/requirements.txt
# daphne
......@@ -647,19 +651,19 @@ txaio==21.2.1
# via
# -r requirements/requirements.txt
# autobahn
typed-ast==1.4.3
# via mypy
typing-extensions==3.10.0.0
# via
# -r requirements/requirements.txt
# django-stubs
# djangorestframework-stubs
# mypy
# twisted
uritemplate==3.0.1
# via
# -r requirements/requirements.txt
# coreapi
# drf-yasg
urllib3==1.26.4
urllib3==1.26.6
# via
# -r requirements/requirements.txt
# requests
......@@ -673,9 +677,11 @@ webencodings==0.5.1
# via
# -r requirements/requirements.txt
# bleach
werkzeug==1.0.1
werkzeug==2.0.1
# via -r requirements/requirements-dev.in
whitenoise==5.2.0
wheel==0.37.0
# via pip-tools
whitenoise==5.3.0
# via -r requirements/requirements.txt
whoosh==2.7.4
# via -r requirements/requirements.txt
......
......@@ -39,7 +39,9 @@ drf-yasg
ipython<7.16
lxml
Pillow
psycopg2-binary
# UNLOCK once Django updated to 3.0+
# https://github.com/psycopg/psycopg2/issues/1293
psycopg2-binary<2.9
python-opengraph-jaywink
python-slugify
pytz
......
......@@ -16,9 +16,9 @@
# via -r requirements/requirements.in
aioredis==1.3.1
# via channels-redis
arrow==1.1.0
arrow==1.1.1
# via -r requirements/requirements.in
asgiref==3.3.4
asgiref==3.4.1
# via
# channels
# channels-redis
......@@ -46,13 +46,13 @@ beautifulsoup4==4.9.3
# via
# pyembed
# python-opengraph-jaywink
bleach==3.3.0
bleach==4.0.0
# via
# -r requirements/requirements.in
# federation
certifi==2020.12.5
certifi==2021.5.30
# via requests
cffi==1.14.5
cffi==1.14.6
# via cryptography
channels==2.4.0
# via
......@@ -60,11 +60,11 @@ channels==2.4.0
# channels-redis
channels-redis==2.4.2
# via -r requirements/requirements.in
chardet==4.0.0
charset-normalizer==2.0.4
# via requests
circus==0.17.1
# via -r requirements/requirements.in
click==7.1.2
click==8.0.1
# via rq
constantly==15.1.0
# via twisted
......@@ -74,7 +74,7 @@ coreschema==0.0.4
# via
# coreapi
# drf-yasg
croniter==1.0.13
croniter==1.0.15
# via rq-scheduler
cryptography==3.4.7
# via
......@@ -87,7 +87,7 @@ cssselect==1.1.0
# via federation
daphne==2.5.0
# via channels
decorator==5.0.7
decorator==5.0.9
# via
# ipython
# traitlets
......@@ -95,7 +95,7 @@ defusedxml==0.7.1
# via python3-openid
dirty-validators==0.5.4
# via federation
django==2.2.22
django==2.2.24
# via
# -r requirements/requirements.in
# channels
......@@ -117,11 +117,11 @@ django==2.2.22
# django-silk
# djangorestframework
# drf-yasg
django-allauth==0.44.0
django-allauth==0.45.0
# via -r requirements/requirements.in
django-braces==1.14.0
# via -r requirements/requirements.in
django-crispy-forms==1.11.2
django-crispy-forms==1.12.0
# via -r requirements/requirements.in
django-dynamic-preferences==1.5.1
# via -r requirements/requirements.in
......@@ -143,11 +143,11 @@ django-memoize==2.3.1
# via -r requirements/requirements.in
django-model-utils==3.2.0
# via -r requirements/requirements.in
django-redis==4.12.1
django-redis==5.0.0
# via -r requirements/requirements.in
django-redisboard==4.1.1
# via -r requirements/requirements.in
django-reversion==3.0.9
django-reversion==4.0.0
# via -r requirements/requirements.in
django-robots==4.0
# via -r requirements/requirements.in
......@@ -159,7 +159,7 @@ django-settings-export==1.2.1
# via -r requirements/requirements.in
django-silk==4.1.0
# via -r requirements/requirements.in
django-versatileimagefield==2.0
django-versatileimagefield==2.1
# via -r requirements/requirements.in
djangorestframework==3.12.4
# via
......@@ -175,7 +175,7 @@ hyperlink==21.0.0
# via
# autobahn
# twisted
idna==2.10
idna==3.2
# via
# hyperlink
# requests
......@@ -198,7 +198,7 @@ jedi==0.17.2
# via
# -r requirements/requirements.in
# ipython
jinja2==2.11.3
jinja2==3.0.1
# via
# coreschema
# django-silk
......@@ -210,13 +210,13 @@ lxml==4.6.3
# federation
markdown==3.3.4
# via django-markdownx
markupsafe==1.1.1
markupsafe==2.0.1
# via jinja2
msgpack==0.6.2
# via channels-redis
oauthlib==3.1.0
oauthlib==3.1.1
# via requests-oauthlib
packaging==20.9
packaging==21.0
# via
# bleach
# drf-yasg
......@@ -228,12 +228,12 @@ pexpect==4.8.0
# via ipython
pickleshare==0.7.5
# via ipython
pillow==8.2.0
pillow==8.3.1
# via
# -r requirements/requirements.in
# django-markdownx
# django-versatileimagefield
prompt-toolkit==3.0.18
prompt-toolkit==3.0.19
# via ipython
psutil==5.8.0
# via circus
......@@ -253,7 +253,7 @@ pycparser==2.20
# via cffi
pycryptodome==3.10.1
# via federation
pygments==2.9.0
pygments==2.10.0
# via
# django-silk
# ipython
......@@ -263,16 +263,16 @@ pyopenssl==20.0.1
# via twisted
pyparsing==2.4.7
# via packaging
pyrsistent==0.17.3
pyrsistent==0.18.0
# via jsonschema
python-dateutil==2.8.1
python-dateutil==2.8.2
# via
# arrow
# croniter
# django-silk
# federation
# rq-scheduler
python-magic==0.4.22
python-magic==0.4.24
# via django-versatileimagefield
python-opengraph-jaywink==0.2.0
# via -r requirements/requirements.in
......@@ -294,7 +294,7 @@ pyyaml==5.4.1
# via
# -r requirements/requirements.in
# federation
pyzmq==22.0.3
pyzmq==22.2.1
# via circus
raven==6.10.0
# via -r requirements/requirements.in
......@@ -305,7 +305,7 @@ redis==3.5.3
# django-redisboard
# django-rq
# rq
requests==2.25.1
requests==2.26.0
# via
# coreapi
# django-allauth
......@@ -319,18 +319,18 @@ requests-http-signature-jaywink==0.1.0.dev0
# via federation
requests-oauthlib==1.3.0
# via django-allauth
rq==1.8.0
rq==1.9.0
# via
# -r requirements/requirements.in
# django-rq
# rq-scheduler
rq-scheduler==0.11.0
# via -r requirements/requirements.in
ruamel.yaml==0.17.4
ruamel.yaml==0.17.10
# via drf-yasg
ruamel.yaml.clib==0.2.2
ruamel.yaml.clib==0.2.6
# via ruamel.yaml
service-identity==18.1.0
service-identity==21.1.0
# via twisted
six==1.16.0
# via
......@@ -342,6 +342,7 @@ six==1.16.0
# jsonschema
# pyopenssl
# python-dateutil
# service-identity
# traitlets
soupsieve==2.2.1
# via beautifulsoup4
......@@ -359,15 +360,17 @@ traitlets==4.3.3
# via
# -r requirements/requirements.in
# ipython
twisted[tls]==21.2.0
twisted[tls]==21.7.0
# via daphne
txaio==21.2.1
# via autobahn
typing-extensions==3.10.0.0
# via twisted
uritemplate==3.0.1
# via
# coreapi
# drf-yasg
urllib3==1.26.4
urllib3==1.26.6
# via requests
uwsgi==2.0.19.1
# via -r requirements/requirements.in
......@@ -375,7 +378,7 @@ wcwidth==0.2.5
# via prompt-toolkit
webencodings==0.5.1
# via bleach
whitenoise==5.2.0
whitenoise==5.3.0
# via -r requirements/requirements.in
whoosh==2.7.4
# via -r requirements/requirements.in
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment